Bug 125413 - Menu is black (gen)
Summary: Menu is black (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-05-21 10:07 UTC by Xisco Faulí
Modified: 2019-05-29 11:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot (45.44 KB, image/png)
2019-05-21 10:07 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-21 10:07:21 UTC
Created attachment 151550 [details]
screenshot

Steps to reproduce:
1. Launch LibreOffice with SAL_USE_VCLPLUGIN=gen instdir/program/swriter

-> Menu is black. See attached image

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: 38ac0586448d4f07811b139f62f62686b029feba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-21 10:08:41 UTC
regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e8d5b8beb5958147235ff955ed38c47b51d860ff

author	Miklos Vajna <vmiklos@collabora.com>	2019-05-20 18:30:08 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-05-20 20:04:27 +0200
commit e8d5b8beb5958147235ff955ed38c47b51d860ff (patch)
tree d5f0e41bdd1076f46a3f399bbeff28a7f33a2f17
parent 115ab48f86d4e3c6eede49767df1ee5a82b4ab22 (diff)
tdf#113714 vcl menu bar window: avoid flicker

Bisected with: bibisect-linux64-6.3

Adding Cc: to Miklos Vajna
Comment 2 Buovjaga 2019-05-21 10:15:04 UTC
Doesn't seem to affect Windows.

TB39 build from today.
Version: 6.3.0.0.alpha1+
Build ID: 6d6277f23337c8eae9acabdf830e33fcc3ee9923
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2019-05-21 13:41:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a2da909adfe07d5a093485cc28283f5c100946ba%5E%21

tdf#125413 vcl menu bar window: fix non-NWF background

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-05-21 14:19:19 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: a2da909adfe07d5a093485cc28283f5c100946ba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 5 Xisco Faulí 2019-05-21 14:21:11 UTC
Wrong info. Verified in

Version: 6.3.0.0.alpha1+
Build ID: a2da909adfe07d5a093485cc28283f5c100946ba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2019-05-29 11:55:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/2a1d0f3b926b6d7921849093b031f457db4cbc8a%5E%21

tdf#125413 vcl menu bar window: fix non-NWF background

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.